[Previous] [Next] [Contents]

## `PART::CompPart` -- compares two partitions

#### Call(s)

`PART::CompPart(part1,part2 <,order>)`

#### Parameters

`part1, part2` | - | any partitions

#### Options

`order=natural,lexic,cixel` | -

#### Introduction

The `PART::CompPart` function compares two partitions for the given ordering.

The considered ordering is given by the second argument kind:

- `natural`: `part1` >= `part2` if sum_`part1`<=sum_`part2` for the lexicographic ordering (sum_I=[I[1], I[1]+I[2], I[1]+I[2]+I[3], ...]).
- `lexic`: `part1` >= `part2` for the lexicographic ordering.
- `cixel`: `part1` >= `part2` for the inverse lexicographic ordering.

Without a third argument, the comparison is assumed to be `natural`.

#### Example 1

    >> muEC::PART::CompPart( [3,2,1], [3,2,1,1], cixel );

                                       TRUE

    >> muEC::PART::CompPart( [3,2,1], [3,2,1,1], lexic );

                                       FALSE

    >> muEC::PART::CompPart( [3,2,1], [3,2,1,1] );

                                       TRUE

#### Related Functions

`PartOrderMat`, `ListPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package